package org.jboss.installer.test.utils;

import org.jboss.installer.auto.InstallationDataSerializer;

import java.io.IOException;

public class MockInputConsole implements InstallationDataSerializer.InputConsole {

    @Override
    public char[] readPassword() {
        return "test".toCharArray();
    }

    @Override
    public void printf(String txt, String... args) {
        System.out.printf(txt, (Object[]) args);
    }

    @Override
    public String readLine() {
        return InstallationDataSerializer.YES;
    }

    @Override
    public void close() throws IOException {

    }
}
